Subject: bug#62135: xterm.c: (x_set_offset)

From: Madhu <[email-masked]>
Date: Mon, 01 Apr 2024 18:11:46 +0530 (IST)

[I hope the context is available upthread on the debbugs]

I took another look at the problem with wayfire: The call to
XMoveWindow in x_set_offset is what's scuttling it.

XMoveWindow gets called with 0,0, wayfire thinks the window is
self-positioned, and refuses to further touch the co-ordinates.

I think that call to XMoveWindow should be protected by a conditional:
```
  if (change_gravity != 0)
  XMoveWindow (FRAME_X_DISPLAY (f), FRAME_OUTER_WINDOW (f),
	       modified_left, modified_top);
```

so we avoid calling XMoveWindow even before the frame is mapped for
the first time.  Right?